org.apache.ignite.events

## Class CacheObjectTransformedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.CacheObjectTransformedEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>, Event

    public class CacheObjectTransformedEvent
    extends EventAdapter

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheObjectTransformedEvent(ClusterNode node, String msg, int type, byte[] original, byte[] transformed, boolean restore)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getOriginal()`
`byte[]` `getTransformed()`
`boolean` `isRestore()`

### Methods inherited from class org.apache.ignite.events.EventAdapter

`compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, toString, type, type`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheObjectTransformedEvent

    public CacheObjectTransformedEvent(ClusterNode node,
                                       String msg,
                                       int type,
                                       byte[] original,
                                       byte[] transformed,
                                       boolean restore)

Parameters:
  `node` - Node.
  `msg` - Message.
  `type` - Type.
  `original` - Original cache object bytes.
  `transformed` - Transformed cache object bytes.
  `restore` - Restore operation flag.

### Method Detail

#### getOriginal

    public byte[] getOriginal()

Returns:
  Original bytes.

#### getTransformed

    public byte[] getTransformed()

Returns:
  Transformed bytes.

#### isRestore

    public boolean isRestore()

Returns:
  True at restore operation.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023